- Home
- API Enriched
- Ddos
- infraprotect
- Mitigation annotations.
Mitigation annotations.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/mitigation/example/annotations';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/mitigation/example/annotations \ --header 'Authorization: <Authorization>'Returns annotations of a single mitigation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
Mitigation ID ID of the mitigation we want to GET the annotations for.
Responses
Section titled “Responses”A successful response.
List of mitigation annotations (i.e. Mitigation notes sorted chronologically)
object
Mitigation annotations of a mitigation.
Mitigation annotation.
object
Annotation text.
Annotation creator.
Mitigation ID.
Annotation creation time as an RFC3339 string.
Examplegenerated
{ "annotations": [ { "annotation": "example", "creator": "example", "id": "example", "time": "2026-04-15T12:00:00Z" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example